package examples.hello;

import java.rmi.Naming;
import java.rmi.RemoteException;
import java.rmi.RMISecurityManager;
import java.rmi.server.UnicastRemoteObject;

public class HelloImpl extends UnicastRemoteObject
    implements Hello {

    public HelloImpl() throws RemoteException {
        super();
    }

    public String sayHello() {
        return  "Witaj świecie!";
    }

    public static void main(String args[]) { 

        // Utworzenie i instalacja menedżera zabezpieczeń 
        if (System.getSecurityManager() == null) { 
	    System.setSecurityManager(new RMISecurityManager()); 
        } 
        try { 
	    HelloImpl obj = new HelloImpl(); 
	    // Powiązanie tego egzemplarza obiektu z nazwą "HelloServer" 
	    Naming.rebind("HelloServer", obj); 
	    System.out.println("HelloServer powiązany w rejestrze"); 
        } catch (Exception e) { 
	    System.out.println("Błąd HelloImpl : " + e.getMessage()); 
	    e.printStackTrace(); 
        } 
    } 
}
